Bug 1285627 - [RFE] Support for source based routing at systemd-networkd
[RFE] Support for source based routing at systemd-networkd
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: systemd (Show other bugs)
7.1
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: systemd-maint
qe-baseos-daemons
: FutureFeature
Depends On:
Blocks: 1297395 1298243 1420851
  Show dependency treegraph
 
Reported: 2015-11-26 00:34 EST by Arvind iyengar
Modified: 2017-05-18 08:18 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-04-05 06:09:57 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Arvind iyengar 2015-11-26 00:34:22 EST
This RFE is raised based on the BZ#1257849 which has been submitted for inclusion of systemd-networkd in RHEL7 releases.

1. Proposed title of this feature request
>> Support for source based routing at systemd-networkd in RHEL7

2. Who is the customer behind the request?
Account name: Etes GmbH
Customer segment: IT services
SRM customer: NO
Strategic Customer:NO

----------
3. What is the nature and description of the request?
>> Support for source based routing at systemd-networkd RHEL7
----------

4. Why does the customer need this? (List the business requirements here)
>> We are using RHEL as classical server but also for routing and firewalling. Once multiple internet uplinks are involved (e.g. for redundancy or load balancing), there is a need for source based routing.

----------

5. How would the customer like to achieve this? (List the functionalrequirements here)
>> When the systemd-networkd feature is backported to RHEL7 releases, customer would like to have the source routing feature added to it. This is at present missing in the upstream networkd version. Without support for source based routing at systemd-networkd, customer have to use the legacy initscripts in order to be able to use /sbin/ifup-local and /sbin/ifdown-local to write our own scripts for the iproute2 configuration.

----------

6. For each functional requirement listed in question 5, specify how Red Hat
and the customer can test to confirm the requirement is successfully
implemented.
>> When the systemd-networkd feature is backported to RHEL7 releases, customer would like to have the source routing feature added to it.
----------

7. Is there already an existing RFE upstream or in Red Hat bugzilla?
>> No, this is new RFE.
----------

8. Does the customer have any specific timeline dependencies?
>> As soon as possible.
----------

9. Is the sales team involved in this request and do they have any additional input?
>> NO
----------

10. List any affected packages or components.
>> systemd.
>> kernel.
----------

11. Would the customer be able to assist in testing this functionality if
implemented?
>> Customer has an internal environment where they can assist to test the functionality if we provide them the required packages.
----------

12. Business Justification provided by the customer for inclusion of this feature in future RHEL7 release.
>> We are using RHEL as classical server but also for routing and firewalling. Once multiple internet uplinks are involved (e.g. for redundancy or load balancing), there is a need for source based routing which is not yet implemented in networkd. Without support for source based routing at systemd-networkd, Customer have to use the legacy initscripts in order to be able to use /sbin/ifup-local and /sbin/ifdown-local to write our own scripts for the iproute2 configuration.
----------

Regards,
Arvind.
Comment 1 Tom Gundersen 2015-11-26 10:36:01 EST
Sounds fine to me. Could you give me a minimal example of what you need (in terms of ip(8) for instance), to make sure we cover it all?
Comment 2 Tom Gundersen 2015-11-26 10:36:14 EST
Sounds fine to me. Could you give me a minimal example of what you need (in terms of ip(8) for instance), to make sure we cover it all?
Comment 5 Tom Gundersen 2017-04-03 05:30:12 EDT
This should now be upstream in systemd-networkd. Please let me know if the customer is satisfied with the current features, or if they lack anything.
Comment 8 Robert Scheck 2017-04-05 05:52:13 EDT
Tom, I got aware about this via bug #1439113 a few minutes ago (which is
a bit confusing to me, given my last status was more or less no systemd-
networkd support/efforts for RHEL 7.x). About which version are we talking
if you say "upstream in systemd-networkd"?
Comment 9 Lukáš Nykrýn 2017-04-05 06:09:57 EDT
Hmm we have: 
https://github.com/systemd/systemd/commit/9e7e440835c43d81ffdbc299d2c07daaa641ed50
in rhel7.

But anyway, networkd is only shipped in optional channel, so we don't accept RFEs for that.

Note You need to log in before you can comment on or make changes to this bug.